1. Renaat
  2. Overige vragen
  3. donderdag 17 januari 2019
Na update van php 5.6 naar 7.2, site verdwenen, blanco pagina. Geeft volgende error:
Fatal error: Uncaught TypeError: Argument 1 passed to JErrorPage::render() must be an instance of Exception, instance of Error given in /customers/9/1/c/http://vlaamse-terrariumvereniging.be/httpd.www/libraries/cms/error/page.php:28 Stack trace: #0 [internal function]: JErrorPage::render(Object(Error)) #1 {main} thrown in /customers/9/1/c/http://vlaamse-terrariumvereniging.be/httpd.www/libraries/cms/error/page.php on line 28 

Wie kan ons helpen om dit in orde te maken, ben er zelf niet zo bedreven in.
alvast bedankt
Geaccepteerde antwoord Pending Moderation
Welke Joomla versie gebruik je?
JDoc-vertaler, JPatch tester, JUG-organisator, moderator
Eigen site: https://www.hierbenikthuis.nl en van mijn loopgroep: https://www.loopgroep-arnhemia.nl
Assistant Team Leader van het Joomla Social Media Team
  1. meer dan een maand geleden
  2. Overige vragen
  3. # 1
Geaccepteerde antwoord Pending Moderation
Mijn overstap naar 7.3 ging ook fout. Wellicht een stap te ver? Alsnog 7.1 gekozen en dat werkte!!
Misschien ook terug van 7.3. naar 7.1??
Weliswaar zag ik nu een foutmelding bovenin:
Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgSystemkSecure has a deprecated constructor in /home/campvrij/public_html/plugins/system/ksecure/ksecure.php on line 12

Het verwijderen van het betreffende stukje in ksecure.php (zie bijlage) heeft niets geholpen. Wat moet ik doen om de foutmelding kwijt te raken?
Groet
Piet van der Sluis
Bijlagen
  1. 3 weken geleden
  2. Overige vragen
  3. # 2
Patrick Smits
Gebruikersgroep regio Utrecht
Geaccepteerde antwoord Pending Moderation
Als je de complete plugin, die waarschijnlijk (nog) niet geschikt is voor php 7 probeert uit te zetten, dan zal de site naar alle waarschijnlijkheid werken. Kijk eens of er een update voorhande is van betreffende plugin. Kan zijn dat na een update van de plugin de site wel werkt. Ga na of je de plugin wel nodig hebt en wanneer deze voor het laatst is aangepast. Als de plugin geen support meer heeft dan kun je beter op zoek gaan naar een alternatief.
  1. 3 weken geleden
  2. Overige vragen
  3. # 3
Geaccepteerde antwoord Pending Moderation
Plugin niet aangetroffen!
Alsnog van 7.1 naar 7.2 gegaan.
Wel weer een nieuw probleem. Krijg nu alleen de code te zien en "Opslaan" e.d. lijken actief maar geen actie. Dan moet ik het afsluiten forceren en opnieuw inchecken. Hoe los ik dit nou weer op?
  1. 3 weken geleden
  2. Overige vragen
  3. # 4
Patrick Smits
Gebruikersgroep regio Utrecht
Geaccepteerde antwoord Pending Moderation
Als je zoekt op ksecure dan zou je iets moeten vinden.
  1. 3 weken geleden
  2. Overige vragen
  3. # 5
Geaccepteerde antwoord Pending Moderation
gezocht op ksecure en system/ksecure :
Er zijn geen plugins geïnstalleerd die overeenkomen met de zoekopdracht
  1. 3 weken geleden
  2. Overige vragen
  3. # 6
Geaccepteerde antwoord Pending Moderation
de oorspronkelijke vragensteller is er m.i. nog niet uit en ik evenmin. Ik ben stapsgewijs teruggegaan naar 5.6. In plaats van codes zie ik nu gelukkig ook weer een leesbare tekst en daar werken diverse functies plotseling ook weer wel........ Akeeba bleef echter tot mijn verbazing repetent hangen. Via Cpanel een backup gemaakt en nu ga ik Akeeba maar eens vervangen. Daarna ga ik op het forum verder zoeken naar het niet meer werken van diverse functies bij een hogere versie van PHP. Ook de foutmelding zou ik graag zien verdwijnen. Adios. Piet
  1. 3 weken geleden
  2. Overige vragen
  3. # 7
Geaccepteerde antwoord Pending Moderation
Hallo,
Nu zie ik dat meer mensen deze vraag stellen op de Topic van @Renaat,
dus ik richt me nu even op @Renaat Bij wie is de website gehost als ik het goed zie
bij One.com Zo ja kan je daar nog terug naar vorige php versie ? php bij one com
zo ja probeer dat dan eerst en en probeer all je plugins en extensies etc van te voren updaten.
en maak desnoods een goede (Akeeba Backup) en zet die op je pc zodat als het later niet lukt
je desnoods lokaal met Wamp of xampp een upgrade poging kan doen.
en op deze topic heeft iemand ook soort gelijk probleem gehad misschien als je die door leest kom je op een idee ?
soort gelijk iets
lvda
  1. 3 weken geleden
  2. Overige vragen
  3. # 8
Geaccepteerde antwoord Pending Moderation
Hey,
Bij one.com is PHP5.6 niet meer beschikbaar, daar werkte de site wel nog mee. Maar heb al zoveel geprobeerd dat ik al meer fout gedaan heb dan goed denk ik.
Ken er zelf te weinig van, dus zoek iemand die er wel verstand van heeft en het in orde wil maken, tegen vergoeding uiteraard.
Akeeba zou inderdaad problemen geven heb ik al ergens gelezen, ook sommige templates. Maar het gaat dus mijn petje te boven.
Alle suggesties welkom
Renaat
  1. 3 weken geleden
  2. Overige vragen
  3. # 9
Geaccepteerde antwoord Pending Moderation
Sorry, Dit e-mailadres wordt beveiligd tegen spambots. JavaScript dient ingeschakeld te zijn om het te bekijken. moest het zijn
  1. 3 weken geleden
  2. Overige vragen
  3. # 10
Geaccepteerde antwoord Pending Moderation
Hallo @Renaat ,
Ik heb een mailtje naar je gestuurd maar heb je weel ooit een back-up van de website gemaakt ?.
en kan je nog wel de Website benaderen via een FTP programma want dan zou je nog kunnen
proberen om de configuration.php naar j pc te halen en dan de fout opsporing op

public $error_reporting = 'maximum';
te zetten en hem weer te uploaden misschien dat er dan meer foutmeldingen
komen waar we misschien kunnen zien welke extensie of plug-in de boel verstoord
lvda
  1. 3 weken geleden
  2. Overige vragen
  3. # 11
Geaccepteerde antwoord Pending Moderation
Hoi Renaat. Mijn provider biedt de mogelijkheid om naar Cpanel te gaan. Wanneer je dat ook kunt, los je m.i. al veel op. Je kunt daar (net als ik gedaan heb) de oudere versie van PHP weer toepassen en daarna een backup maken en downloaden. Die zou je dan op je PC kunnen installeren en risicoloos gebruiken om te experimenteren.

Algemeen: Verbaasd stelde ik vast dat de plugin van Akeeba op 2 plaatsen spontaan was gedeactiveerd. (Ik ben de enige die aan de site werkt en heb dat absoluut niet gedaan). Alsnog geactiveerd en backup gemaakt (nu heb ik zelfs 2 backups).
Ook de foutmelding Deprecated etc is plotseling weer verdwenen. Nu hoef ik alleen nog maar te ontdekken waarom de upgrade bij mij niet werkt. Ik ga maar eens de weg inslaan die Leen aangaf. Heb configuration al gedownload.
Groet
Piet
  1. 3 weken geleden
  2. Overige vragen
  3. # 12
Geaccepteerde antwoord Pending Moderation
Hallo Piet,

Dat
Nu hoef ik alleen nog maar te ontdekken waarom de upgrade bij mij niet werkt.

zou mogelijk kunnen als jou akeeba back-up zo staat ingesteld dat deze van te voren automatisch gaat back-upe voor (een) de upgrade
soms loopt dan de boel in honderd dus let daar eens opmisschien is dat bij jou ook zo
Gewoon met de hand eerst een akeeba back-up maken en daarna eerst alle extensie goed controleren of er nog updates zijn en dan pas de upgrade laten uitvoeren dat is mijn persoonlijke ervaring
lvda
  1. 3 weken geleden
  2. Overige vragen
  3. # 13
Geaccepteerde antwoord Pending Moderation
Hoi Leen
dank voor het meedenken!
Akeeba gaat alleen maar handmatig aan de slag.
Onder Extensies/beheren laten zoeken naar upgrades. Niets. Bij waarschuwingen wel wat gevonden. Moet ik daar verder mee?
1 De PHP tijdelijke map is niet ingesteld
2 PHP uploadgrootte hoger dan POST grootte
Groet
Piet
  1. 3 weken geleden
  2. Overige vragen
  3. # 14
Geaccepteerde antwoord Pending Moderation
Hallo Piet,

Nu weet in niet precies of je local aan testen bent maar dat van Upload groote
kan je normaal vinden in de php.ini
bij bv xampp staat dat dan bij mij zo
c:\xampp\php\php.ini


post_max_size=128M

en tmp dir

upload_tmp_dir="C:\xampp\tmp"

en dan

; Maximum allowed size for uploaded files.
; http://php.net/upload-max-filesize
upload_max_filesize=128M
lvda
  1. 3 weken geleden
  2. Overige vragen
  3. # 15
Geaccepteerde antwoord Pending Moderation
Hoi piet14 . Ik snap aangezien je het zelfde probleem bij Renate zag je in dit topic je eigen vraag stelde maar ik zou toch graag een volgende keer willen zien dat je een eigen topic aanmaakt. Er lopen nu eigenlijk twee discussies in één topic door elkaar heen...
JDoc-vertaler, JPatch tester, JUG-organisator, moderator
Eigen site: https://www.hierbenikthuis.nl en van mijn loopgroep: https://www.loopgroep-arnhemia.nl
Assistant Team Leader van het Joomla Social Media Team
  1. 3 weken geleden
  2. Overige vragen
  3. # 16
Geaccepteerde antwoord Pending Moderation
Hoi Hans,

Aanvankelijk dacht ik dat we min of meer hetzelfde probleem hadden, maar de discussie ging toch anders en meer in mijn richting. Ik stop nu met dit item en zal in voorkomend geval je wens respecteren natuurlijk.
groet
Piet van der Sluis.
  1. 3 weken geleden
  2. Overige vragen
  3. # 17
  • Pagina :
  • 1


Er zijn nog geen reacties op dit bericht.
U mag echter niet reageren op dit bericht.